# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'klandimage/version'

Gem::Specification.new do |spec|
  spec.name          = "klandimage"
  spec.version       = KlandImage::VERSION
  spec.authors       = ["Alex Craik"]
  spec.email         = ["ajc3860@gmail.com"]

  spec.summary       = 'Provides an interface to the Kland Image host.'
  spec.description   = 'This gem provides an interface for uploading images to the Kland Image host, via rest-client.'
  spec.homepage      = "https://smilebasicsource.com/user/snail_"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'https://rubygems.org'
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency 'yard', '~> 0'

  spec.add_dependency 'rest-client', '~> 2.0'
end
